/* ========== Font ========== */
/* ========== Typography ========== */
/* ========== Colours ========== */
/* ========== Spacing ========== */
/* ========== Lines ========== */
/* ========== Borders ========== */
/* Footer */
footer.footer {
  border-top: 2px solid #23324F;
  width: 100%;
  float: left;
  clear: both;
  padding: 70px 30px 90px;
  background-color: #EEF1F6;
}

.footer__inner {
  max-width: unset;
}

.footer__menu-inner {
  display: flex;
  flex-wrap: nowrap;
  flex-direction: column;
  gap: 1.25rem;
}

.footer__menu-section {
  width: 100%;
  margin-top: unset;
}

.footer__menu-section h3 {
  color: #23324F;
  border-bottom: 2px solid #E91E8C;
  display: inline-block;
  margin-bottom: 0.5rem;
}

.footer__menu-section ul {
  list-style: none;
  margin: 0.5rem 0 0;
  padding: 0;
}

.footer__menu-section ul li {
  list-style: none;
}

.footer__menu-section a {
  color: #4B5563;
  text-decoration: none;
}

.footer__menu-section a:hover {
  color: #E91E8C;
}

.footer__map-container {
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
}

.footer__cta-container {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.footer__social-rail,
.footer__login-container {
  width: 100%;
}

.footer__social-icons-container {
  display: flex;
  gap: 1rem;
  align-items: center;
  max-width: 250px;
  margin: 1rem 0 0 0;
}

.footer__social-icon {
  width: 100%;
}

.footer__social-icon svg {
  fill: #4B5563;
  transition: all 0.2s ease-in-out;
  width: 37px;
}

.footer__social-icon:hover svg {
  fill: #E91E8C;
}

.footer__sub-inner {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 0.5rem 1rem;
}

.footer__login-buttons {
  margin: 1rem 0;
  display: flex;
  align-items: flex-end;
  gap: 1rem;
  flex-wrap: wrap;
}

.footer__login-buttons .btn {
  margin: unset;
}

.footer__login-buttons a:not(a.btn) {
  font-weight: 700;
  text-decoration: underline;
}

@media only screen and (min-width: 450px) {
  .footer__menu-inner {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2.5rem 1.25rem;
  }
  .footer__menu-section,
  .footer__map-container {
    width: calc(50% - 0.75rem);
  }
  .footer__map-container {
    margin-top: unset;
    margin-bottom: -1.75rem;
  }
  .footer__map-inner {
    max-width: 240px;
  }
}
@media only screen and (min-width: 768px) {
  footer.footer {
    padding: 70px 70px 90px;
  }
  .footer__menu-container {
    width: 100%;
  }
  .footer__menu-section {
    width: calc(33% - 0.75rem);
  }
  .footer__map-container,
  .footer__cta-container,
  .footer__sub-items {
    width: calc(50% - 0.75rem);
  }
  .footer__social-rail {
    order: 4;
  }
  .footer__login-container {
    order: 5;
  }
  .footer__social-rail,
  .footer__login-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
  .footer__map-container {
    order: 5;
    margin-top: 0;
    margin-bottom: -195px;
  }
  .footer__map-inner {
    max-height: unset;
    max-width: 270px;
  }
  .footer__sub-items {
    margin-top: unset;
  }
}
@media only screen and (min-width: 1024px) {
  footer.footer {
    left: unset;
    padding: 70px 70px 90px;
  }
  .footer__sub-inner {
    margin-top: 1rem;
  }
}
@media only screen and (min-width: 1280px) {
  .footer__menu-section {
    width: calc(18% - 0.75rem);
  }
  .footer__map-container {
    width: calc(30% - 0.75rem);
  }
  .footer__map-inner {
    max-width: 330px;
    margin-bottom: -50px;
  }
  .footer__cta-container {
    flex-direction: row;
    align-items: flex-start;
  }
  .footer__map-container,
  .footer__social-rail,
  .footer__login-container {
    order: unset;
  }
  .footer__sub-items {
    margin-top: unset;
    width: 100%;
  }
}
@media only screen and (min-width: 1350px) {
  .footer__cta-container {
    width: 100%;
    gap: 6.5%;
  }
  .footer__social-rail {
    width: calc(34% - 0.75rem);
  }
}
.footer__copyright {
  display: none;
  order: 10;
  width: 100%;
  margin-top: 30px;
}

@media screen and (min-width: 1380px) {
  .footer__copyright {
    padding: 0 10px;
    -webkit-box-ordinal-group: 1;
    -webkit-order: 0;
    -ms-flex-order: 0;
    order: 0;
    display: inline-block;
    margin-top: 0;
    width: auto;
  }
}
.footer__copyright-mobile {
  display: block;
  width: 100%;
  font-weight: 700;
  margin-top: 1rem;
}

@media screen and (min-width: 1380px) {
  .footer__copyright-mobile {
    display: none;
  }
}